# -*- encoding: utf-8 -*-
# stub: active_elastic_job 3.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "active_elastic_job".freeze
  s.version = "3.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tawan Sierek".freeze, "Joey Paris".freeze]
  s.date = "2022-01-19"
  s.description = "Run background jobs / tasks of Rails applications deployed in Amazon Elastic Beanstalk environments. Active Elastic Job is an Active Job backend which is easy to setup. No need for customised container commands or other workarounds.".freeze
  s.email = ["tawan@sierek.com".freeze, "mail@joeyparis.me".freeze]
  s.homepage = "https://github.com/active-elastic-job/active-elastic-job".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Active Elastic Job is a simple to use Active Job backend for Rails applications deployed on the Amazon Elastic Beanstalk platform.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-sqs>.freeze, ["~> 1"])
    s.add_runtime_dependency(%q<rails>.freeze, [">= 5.2.6", "< 7.1"])
    s.add_development_dependency(%q<amazing_print>.freeze, ["~> 1.2"])
    s.add_development_dependency(%q<benchmark-ips>.freeze, ["~> 2.8"])
    s.add_development_dependency(%q<bootsnap>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.2"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 11.1"])
    s.add_development_dependency(%q<climate_control>.freeze, ["~> 0.2"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2.7"])
    s.add_development_dependency(%q<fuubar>.freeze, ["~> 2.5"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<sprockets-rails>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.4"])
  else
    s.add_dependency(%q<aws-sdk-sqs>.freeze, ["~> 1"])
    s.add_dependency(%q<rails>.freeze, [">= 5.2.6", "< 7.1"])
    s.add_dependency(%q<amazing_print>.freeze, ["~> 1.2"])
    s.add_dependency(%q<benchmark-ips>.freeze, ["~> 2.8"])
    s.add_dependency(%q<bootsnap>.freeze, ["~> 1.9"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.2"])
    s.add_dependency(%q<byebug>.freeze, ["~> 11.1"])
    s.add_dependency(%q<climate_control>.freeze, ["~> 0.2"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2.7"])
    s.add_dependency(%q<fuubar>.freeze, ["~> 2.5"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<sprockets-rails>.freeze, ["~> 3.4"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.4"])
  end
end
